import { XPromiseError } from '../utils';

/** promise 取消错误 */
export declare class XPromiseCancelError extends XPromiseError {
    constructor(message?: string);
}
/** 取消令牌 中止具体操作 */
export type XPromiseCancelTokenAbortFn = (message?: string) => void;
/** 取消令牌 reject 函数 */
export declare class XPromiseCancelToken {
    #private;
    /** 是否取消错误 */
    static isCancelError: (error: unknown) => error is XPromiseCancelError;
    /** 创建 promise 取消令牌 */
    static source: (abortFn: XPromiseCancelTokenAbortFn) => XPromiseCancelToken;
    private constructor();
    /** 取消 promise */
    cancel(message?: string): void;
}
