import { XPromiseStateEnum } from '../utils';

export interface XPromiseSharingOptions {
    /** 是否在promise reject时清理 */
    rejectClean?: boolean;
    /** 是否在promise resolve时清理 */
    resolveClean?: boolean;
}
/** promise 共享 */
export declare const usePromiseSharing: <T>(createPromise: () => Promise<T>, { rejectClean, resolveClean }?: XPromiseSharingOptions) => {
    /** 获取promise状态 */
    getStatus: () => XPromiseStateEnum;
    /** 是否存在promise */
    isHasPromise: () => boolean;
    /** 应用promise */
    applyPromise: () => Promise<T>;
    /** 清除promise */
    clearPromise: () => Promise<unknown>;
    /** 获取当前promise */
    getCurrentPromise: () => Promise<T> | undefined;
};
